[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#646987: /usr/bin/xinit: xinit fails with xkbcomp could not be invoked

On Fri, Nov  4, 2011 at 21:58:39 -0400, Brenda J. Butler wrote:

> On Sat, Nov 05, 2011 at 01:11:36AM +0100, Julien Cristau wrote:
> > On Fri, Nov  4, 2011 at 19:39:32 -0400, Brenda J. Butler wrote:
> > > I can't help thinking I started out wrong, to be having all these problems
> > > building a stock debian package on a debian stable system.
> > > 
> > It doesn't sound like you've actually run apt-get build-dep xorg-server.
> > Installing libgl1-mesa-dev should get you over this one failure though.
> Yes, you are right:  today I ran apt-get build-dep ... must have been some other
> name, but I thought it was the right one and it installed some stuff so
> I thought that step was done.
> When I run it with the right package name, it says:
> bjb@blueeyes:~/projects/xserver-xorg/xorg-server-1.10.4$ sudo apt-get build-dep xorg-server
> Reading package lists... Done
> Building dependency tree       
> Reading state information... Done
> E: Build-Depends dependency for xorg-server cannot be satisfied because no available versions of package x11proto-core-dev can satisfy version requirements
apt is being stupid and trying to satisfy build-deps for the backports
xorg-server.  Try "apt-get build-dep xorg-server=2:1.7.7-13".


Reply to: